Subject: bug#22560: forward-word etc should be interactive-only

From: Drew Adams <[email-masked]>
Date: Fri, 5 Feb 2016 07:47:11 -0800 (PST)

> > The new implementation of subword-mode means that forward-word etc need
> > to be marked as interactive-only, all existing uses of such functions
> > need to be reviewed, and the issue needs to be mentioned in NEWS.
> 
> Or perhaps the interactive forward-word (etc) commands should be renamed
> to something new, and the old versions of forward-word (etc) should be
> restored so that no code that uses these functions to parse stuff will
> unbreak...

Yes.  That was my suggestion as well.  I, and I am sure others, have
a fair amount of code that uses `forward-word' (as well as other
`forward-*' functions).